# ResourcePlanner

[![pipeline status](https://gitlab.htcl.eu/nerebext/resource_planner/badges/master/pipeline.svg)](https://gitlab.htcl.eu/nerebext/resource_planner/commits/master)
[![coverage report](https://gitlab.htcl.eu/nerebext/resource_planner/badges/master/coverage.svg)](https://gitlab.htcl.eu/nerebext/resource_planner/commits/master)

Short description and motivation.

## Usage

How to use my plugin.

## Installation

Add this line to your application's Gemfile:

```ruby
gem 'resource_planner'
```

And then execute:

```bash
bundle
```

Or install it yourself as:

```bash
gem install resource_planner
```

## ICalendar Specification

[ICalendar (Wikipedia)](https://en.wikipedia.org/wiki/ICalendar)

[ICalendar Specification](https://icalendar.org/RFC-Specifications/iCalendar-RFC-5545)

[jCal: The JSON Format for iCalendar](https://tools.ietf.org/html/rfc7265)

![ICalendar Specification](doc/ICalendarSpecification.png)

### Example

Here is a simple example of an iCalendar object, "Bastille Day Party" event which occurs July 14, 1997 17:00 (UTC) through July 15, 1997 03:59:59 (UTC):

```text
BEGIN:VCALENDAR
VERSION:2.0
PRODID:-//hacksw/handcal//NONSGML v1.0//EN
BEGIN:VEVENT
UID:uid1@example.com
DTSTAMP:19970714T170000Z
ORGANIZER;CN=John Doe:MAILTO:john.doe@example.com
DTSTART:19970714T170000Z
DTEND:19970715T035959Z
SUMMARY:Bastille Day Party
GEO:48.85299;2.36885
END:VEVENT
END:VCALENDAR
```

## Contributing

Contribution directions go here.

## License

This gem is copyrighted
